## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 20
%bcond_without check

%global crate helvum

Name:           rust-%{crate}
Version:        0.3.4
Release:        %autorelease
Summary:        GTK patchbay for pipewire

# Upstream license specification: GPL-3.0-only
License:        GPLv3
URL:            https://crates.io/crates/helvum
Source:         %{crates_source}
# Compile against pipewire-0.5
Patch:          %{crate}-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  meson
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

%global _description %{expand:
GTK patchbay for pipewire.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# ASL 2.0
# ASL 2.0 or Boost
# ASL 2.0 or MIT
# BSD
# GPLv3
# MIT
# MIT or ASL 2.0
# Unlicense or MIT
License:        GPLv3 and ASL 2.0 and BSD and MIT
Requires:       hicolor-icon-theme

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%doc README.md
%{_bindir}/helvum
%{_datadir}/applications/org.pipewire.Helvum.desktop
%{_datadir}/icons/hicolor/*/apps/org.pipewire.Helvum*.svg
%{_datadir}/metainfo/org.pipewire.Helvum.metainfo.xml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
# We will build by cargo ourselves
sed -i -e '/\(build_by_default\|install\)/s/true/false/' src/meson.build
sed -i -e '/dependency/d' meson.build
sed -i -e '/Cargo.lock/d' meson.build
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%meson
%meson_build

%install
%cargo_install
%meson_install

%if %{with check}
%check
%cargo_test
desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/org.pipewire.Helvum.desktop
appstream-util validate-relax --nonet \
    %{buildroot}/%{_datadir}/metainfo/org.pipewire.Helvum.metainfo.xml
%endif

%changelog
* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Mar 30 2022 Michel Alexandre Salim <salimma@fedoraproject.org> 0.3.4-2
- Rebuilt against rust-pipewire 0.5.0

* Mon Feb 21 2022 Fabio Valentini <decathorpe@gmail.com> 0.3.4-1
- Update to version 0.3.4; Fixes RHBZ#2049581

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 0.3.1-2
- Rebuild with package notes

* Tue Feb 01 2022 Michel Alexandre Salim <salimma@fedoraproject.org> 0.3.1-1
- Initial Fedora package
